#include "snaketile.h"

SnakeTile::SnakeTile() : WimaAreaData()
{

}

SnakeTile::SnakeTile(const SnakeTile &other) : WimaAreaData()
{
    *this = other;
}

SnakeTile &SnakeTile::operator=(const SnakeTile &other)
{
    this->assign(other);
    return *this;

}

void SnakeTile::assign(const SnakeTile &other)
{
    WimaAreaData::assign(other);
}
